<?php
/**
* モジュールグラフノード例外
*
* PHP version 5
*
* @package    exceptions
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class charcoal_ModuleGraphNodeException extends charcoal_Exception
{
	public function __construct( charcoal_ModuleGraphNode $node, $message = NULL, $cause = NULL )
	{
		$node_name = $node->getNodeName();
		$msg = "[node name]$node_name";
		if ( $message ){
			$msg .= "[message]$message";
		}

		parent::__construct( $msg, $cause );
	}

}
